﻿<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]BeerOverflow</title>

    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" type="text/css" href="~/css/dataTableStyle.css" />
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>

<body>
    <header>
        <nav id="navbar" class="navbar fixed-top  navbar-expand-sm navbar-toggleable-sm navbar-light  box-shadow mb-3" style="background-color:#303030;">
            <div class="container">
                <button class="navbar-toggler" style="" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <partial name="_LoginPartial" />

                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link " style="color:#b58900" asp-area="" asp-controller="Home" asp-action="Index">Beer Overflow</a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" style="background-color:#303030;color:#b58900" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Beers</a>
                            <div class="dropdown-menu" style="">
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color: white " asp-area="" asp-controller="Beer" asp-action="CreateBeer">Create Beer</a>
                                }
                                <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Beer" asp-action="ListBeers">Show All Beers</a>
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Beer" asp-action="DeleteBeer">Delete Beer</a>
                                }

                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" style="background-color:#303030;color:#b58900" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Breweries</a>
                            <div class="dropdown-menu" style="">
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color: white " asp-area="" asp-controller="Brewery" asp-action="CreateBrewery">Create Brewery</a>
                                }
                                <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Brewery" asp-action="ListBreweries">Show All Breweries</a>

                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Brewery" asp-action="DeleteBrewery">Delete Brewery</a>
                                }

                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" style="background-color:#303030;color:#b58900" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Countries</a>
                            <div class="dropdown-menu" style="">
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Country" asp-action="CreateCountry">Create Country</a>
                                }
                                <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Country" asp-action="ListCountry">Show All Countries</a>
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" style="background-color:#303030;color:#b58900" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Styles</a>
                            <div class="dropdown-menu" style="">
                                @if (User.Identity.IsAuthenticated)
                                {
                                    <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Style" asp-action="CreateStyle">Create Style</a>
                                }
                                <a class="dropdown-item" style="background-color:white " asp-area="" asp-controller="Style" asp-action="ListStyles">Show All Styles</a>
                            </div>
                        </li>

                        @if (User.Identity.IsAuthenticated)
                        {
                            <li class="nav-item">
                                <a style="color:white"  class="nav-link " asp-area="" asp-controller="User" asp-action="Details" asp-route-username="@User.Identity.Name">Profile</a>
                            </li>
                        }
                        @if (User.IsInRole("Admin"))
                        {
                            <li class="nav-item">
                                <a style="color:white"  class="nav-link " asp-area="" asp-controller="User" asp-action="ListUsers">Users</a>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="footer text-muted">
        <div class="container">
            &copy; 2020 - BeerOverflow - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script type="text/javascript" charset="utf-8" src="~/js/jquerydatatable.js"></script>
    <script type="text/javascript" charset="utf-8" src="~/js/datatable.js"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>
